How to build uim

Requirements
============
The requirements for building uim is listed below.

    * iconv(3)
    * curses (need to build uim-fep)
    * Anthy (need to use Japanese Anthy module. version >= 7802 is
      recommended)
    * Canna (need to use Japanese Canna module)
    * mana (need to use Japanese mana module. version >= 0.2.0 is
      recommended).
    * PRIME >= 0.8.5.2 (need to use Japanese PRIME module)
    * m17nlib >= 1.3.1 (need to use uim-m17nlib bridge)
    * GTK+ >= 2.4 (need to build gtk tools and gtk immodule)
    * gnome-panel (need to build GNOME applet indicator)
    * Qt >= 3.3.2 (need to build qt tools. you also need to apply
      immodule patch to build qt immodule)

Compilation
===========

First, please extract source from tar ball.

      $ tar xvzf uim-x.x.x.tar.gz 

Then, move to the extracted directory and run configure.

      $ cd uim-x.x.x
      $ ./configure 

configure options disabled as default is like this.

    * --enable-debug : build uim with debug information
    * --enable-dict : enable Japanese dictionary tool
    * --with-canna : use Canna
    * --with-qt : build qt tools
    * --with-qt-immodule : build qt immodule. you need the qt with the
                           qt-immodule patch

Finally, make and install it.

      $ make
      $ su
      # make install

By default, uim is installed under /usr/local , but this directory may
not be on the system search path. Should that be the case, add the
line /usr/local/lib to /etc/ld.conf and then, run ldconfig. 

